Patch Conversation
PATCH
/platform/v1/conversations/{conversation_id}
const url = 'https://example.com/platform/v1/conversations/1';const options = { method: 'PATCH', headers: {'X-API-Key': 'example', 'Content-Type': 'application/json'}, body: '{"status":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/platform/v1/conversations/1 \ --header 'Content-Type: application/json' \ --header 'X-API-Key: example' \ --data '{ "status": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” conversation_id
required
Conversation Id
integer
Header Parameters
Section titled “Header Parameters ” X-API-Key
required
X-Api-Key
string
Request Body required
Section titled “Request Body required ” Media type application/json
PlatformConversationPatch
object
status
required
Status
string
Example generated
{ "status": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
PlatformConversationResponse
object
created_at
required
Created At
string format: date-time
id
required
Id
integer
inbound_count
required
Inbound Count
integer
last_active_at
required
Last Active At
string format: date-time
message_count
required
Message Count
integer
outbound_count
required
Outbound Count
integer
peer_id
required
Peer Id
string
platform_channel_id
required
Platform Channel Id
integer
status
required
Status
string
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "ended_at": "2026-04-15T12:00:00Z", "id": 1, "inbound_count": 1, "last_active_at": "2026-04-15T12:00:00Z", "last_message_direction": "example", "last_message_preview": "example", "message_count": 1, "outbound_count": 1, "peer_id": "example", "platform_channel_id": 1, "platform_contact_id": 1, "status": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}